package healthcheck

import (
	"net/http"

	"codeberg.org/mapleopentech/monorepo/cloud/maplepress-backend/pkg/httpresponse"
)

// Handler handles healthcheck requests
type Handler struct{}

// ProvideHealthCheckHandler creates a new health check handler
func ProvideHealthCheckHandler() *Handler {
	return &Handler{}
}

// Handle handles the healthcheck request
func (h *Handler) Handle(w http.ResponseWriter, r *http.Request) {
	response := map[string]string{
		"status": "healthy",
	}

	httpresponse.OK(w, response)
}
